# Uses of Class
org.apache.sysds.runtime.compress.cost.ACostEstimate

Packages that use ACostEstimate
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.cocode
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.cost

## Uses of ACostEstimate in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type ACostEstimate
Modifier and Type
Method
Description
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, int k, CompressionSettingsBuilder compSettings, ACostEstimate costEstimator)`
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, int k, ACostEstimate costEstimator)`
`static org.apache.commons.lang3.tuple.Pair<MatrixBlock,CompressionStatistics>`
CompressedMatrixBlockFactory.`compress(MatrixBlock mb, ACostEstimate costEstimator)`

## Uses of ACostEstimate in org.apache.sysds.runtime.compress.cocode

Methods in org.apache.sysds.runtime.compress.cocode with parameters of type ACostEstimate
Modifier and Type
Method
Description
`static CompressedSizeInfo`
CoCoderFactory.`findCoCodesByPartitioning(AComEst est, CompressedSizeInfo colInfos, int k, ACostEstimate costEstimator, CompressionSettings cs)`
Main entry point of CoCode.

## Uses of ACostEstimate in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type ACostEstimate
Modifier and Type
Method
Description
`static List<AColGroup>`
ColGroupFactory.`compressColGroups(MatrixBlock in, CompressedSizeInfo csi, CompressionSettings cs, ACostEstimate ce, int k)`

## Uses of ACostEstimate in org.apache.sysds.runtime.compress.cost

Subclasses of ACostEstimate in org.apache.sysds.runtime.compress.cost
Modifier and Type
Class
Description
`class`
`ComputationCostEstimator`
`class`
`DistinctCostEstimator`
A Cost based estimator that based the compression and co-coding cost on the number of distinct elements in the column groups.
`class`
`HybridCostEstimator`
`class`
`MemoryCostEstimator`
Methods in org.apache.sysds.runtime.compress.cost that return ACostEstimate
Modifier and Type
Method
Description
`static ACostEstimate`
CostEstimatorFactory.`create(CompressionSettings cs, CostEstimatorBuilder costBuilder, int nRows, int nCols, double sparsity)`
Create a cost estimator to enable comparison of different suggested compression formats